# QLayout Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QLayout()
- void QLayout(QWidget parent)

### Constructor Properties

- prototype: The QLayout prototype object
- QSize closestAcceptableSize(QWidget w, QSize s)
- SetDefaultConstraint
- SetNoConstraint
- SetMinimumSize
- SetFixedSize
- SetMaximumSize
- SetMinAndMaxSize
- SizeConstraint( value )

### Prototype Object Properties

The QLayout prototype object inherits properties from the QObject prototype object and also has the following properties.

- bool activate()
- void addItem(QLayoutItem arg__1)
- void addWidget(QWidget w)
- QMargins contentsMargins()
- QRect contentsRect()
- int count()
- void getContentsMargins(int left, int top, int right, int bottom)
- int indexOf(QWidget arg__1)
- bool isEnabled()
- QLayoutItem itemAt(int index)
- QWidget menuBar()
- QWidget parentWidget()
- void removeItem(QLayoutItem arg__1)
- void removeWidget(QWidget w)
- bool setAlignment(QLayout l, Alignment alignment)
- void setContentsMargins(QMargins margins)
- void setEnabled(bool arg__1)
- void setMenuBar(QWidget w)
- QLayoutItem takeAt(int index)
- int totalHeightForWidth(int w)
- QSize totalMaximumSize()
- QSize totalMinimumSize()
- QSize totalSizeHint()
- void update()

### Instance Properties

QLayout objects inherit properties from the QLayout prototype object and also have the following properties.

- margin
- spacing
- sizeConstraint